Bug 1275199

Summary: modify the help message of subscription-manager attach --quantity
Product: Red Hat Enterprise Linux 6 Reporter: Shwetha Kallesh <skallesh>
Component: subscription-managerAssignee: William Poteat <wpoteat>
Status: MODIFIED --- QA Contact: John Sefler <jsefler>
Severity: low Docs Contact:
Priority: medium    
Version: 6.8CC: awood, bcourt, skallesh, wpoteat
Target Milestone: pre-dev-freezeKeywords: Reopened, Triaged
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-12-06 12:34:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Shwetha Kallesh 2015-10-26 08:54:28 UTC
Description of problem:
modify the help message of subscription-manager attach --quantity

Version-Release number of selected component (if applicable):

[root@dhcp35-236 ~]# subscription-manager version
server type: Red Hat Subscription Management
subscription management server: 0.9.51.5-1
subscription management rules: 5.15
subscription-manager: 1.15.9-15.el7
python-rhsm: 1.15.4-5.el7

How reproducible:


Steps to Reproduce:
[root@dhcp35-236 ~]# subscription-manager attach --help | grep quantity
  --quantity=QUANTITY   number of subscriptions to attach


Actual results:


Expected results:
[root@dhcp35-236 ~]# subscription-manager attach --help | grep quantity
  --quantity=QUANTITY   number of subscriptions to attach; only used with --pool


Additional info:

Comment 2 Alex Wood 2015-11-16 20:21:09 UTC
We should ensure that the --quantity option is mutually exclusive with the --auto option.

Comment 5 William Poteat 2015-12-16 18:36:02 UTC
This handling was changed in commmit 281c1e5818eefa89bc73ba438c75494e16afc698 in repsonse to https://bugzilla.redhat.com/show_bug.cgi?id=1275179

Plese re-evaluate.

Comment 6 Shwetha Kallesh 2015-12-17 12:27:52 UTC
Now help message is modified but would have been nice if the message would have been "  --quantity=QUANTITY   number of subscriptions to attach; only used with --pool" in sync with other modules


[root@dell-pe1850-04 ~]# subscription-manager attach --help | grep quantity -A1
  --quantity=QUANTITY   Number of subscriptions to attach. May not be used
                        with an auto-attach.

Comment 7 John Sefler 2015-12-17 13:32:44 UTC
Here are some suggestions for the help message...

[1]  "Number of subscriptions to attach; only used with --pool"
[2]  "Number of subscriptions to attach. May not be used with an auto-attach."
[3]  "Number of subscriptions to attach; cannot be used with --auto"
[4]  "Number of subscriptions to attach when specifying a --pool that is multi-entitleable"


My vote is to stick with the the currently implemented message [2] and move this bug to VERIFIED.

Comment 8 William Poteat 2016-01-04 18:54:53 UTC
I concur with jsefler

Comment 9 Mike McCune 2016-03-28 23:46:11 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 11 Jan Kurik 2017-12-06 12:34:39 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Comment 12 Shwetha Kallesh 2018-03-26 06:32:23 UTC
Preliminary Verification Comment:
Observe that help message is now changed in the following version of RHSM:

[root@localhost ~]# subscription-manager version
server type: This system is currently not registered.
subscription management server: 2.2.2-1
subscription management rules: 5.26
subscription-manager: 1.20.10-3.el6


[root@localhost ~]# subscription-manager attach --help 

--quantity=QUANTITY   Number of subscriptions to attach. May not be used
                        with an auto-attach.